Debian Bug report logs - #467648
deps: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: deps; Maintainer for deps is Yann Dirson <dirson@debian.org>;

Reported by: ntyni@debian.org

Date: Tue, 26 Feb 2008 17:54:14 UTC

Severity: important

Tags: patch

Found in version 0.13-1

Fixed in version deps/0.13-1.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Yann Dirson <dirson@debian.org>:
Bug#467648; Package deps. Full text and rfc822 format available.

Acknowledgement sent to ntyni@debian.org:
New Bug report received and forwarded. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: ntyni@debian.org
To: maintonly@bugs.debian.org
Subject: deps: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 19:53:12 +0200
Package: deps
Version: 0.13-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#467648; Package deps. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #10 received at 467648@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467648@bugs.debian.org
Subject: deps: diff for NMU version 0.13-1.1
Date: Sat, 5 Apr 2008 12:31:55 +0100
[Message part 1 (text/plain, inline)]
tags 467648 + patch
thanks

Hi,

Attached is the diff for my deps 0.13-1.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[deps-0.13-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 11:33:09 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ntyni@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467648-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467648-close@bugs.debian.org
Subject: Bug#467648: fixed in deps 0.13-1.1
Date: Sat, 05 Apr 2008 11:47:03 +0000
Source: deps
Source-Version: 0.13-1.1

We believe that the bug you reported is fixed in the latest version of
deps, which is due to be installed in the Debian FTP archive:

deps-tools-cli_0.13-1.1_all.deb
  to pool/main/d/deps/deps-tools-cli_0.13-1.1_all.deb
deps_0.13-1.1.diff.gz
  to pool/main/d/deps/deps_0.13-1.1.diff.gz
deps_0.13-1.1.dsc
  to pool/main/d/deps/deps_0.13-1.1.dsc
graph-includes_0.13-1.1_all.deb
  to pool/main/d/deps/graph-includes_0.13-1.1_all.deb
libdeps-perl_0.13-1.1_all.deb
  to pool/main/d/deps/libdeps-perl_0.13-1.1_all.deb
libdeps-renderer-dot-perl_0.13-1.1_all.deb
  to pool/main/d/deps/libdeps-renderer-dot-perl_0.13-1.1_all.deb
libdeps-renderer-tulip-perl_0.13-1.1_all.deb
  to pool/main/d/deps/libdeps-renderer-tulip-perl_0.13-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467648@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated deps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 12:30:45 +0100
Source: deps
Binary: libdeps-perl libdeps-renderer-dot-perl libdeps-renderer-tulip-perl deps-tools-cli graph-includes
Architecture: source all
Version: 0.13-1.1
Distribution: unstable
Urgency: low
Maintainer: Yann Dirson <dirson@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 deps-tools-cli - DEPS command-line tools
 graph-includes - transitionnal package
 libdeps-perl - Dependency Extraction and Processing System
 libdeps-renderer-dot-perl - DEPS renderer plugin using GraphViz/dot
 libdeps-renderer-tulip-perl - DEPS renderer plugin using Tulip
Closes: 467648
Changes: 
 deps (0.13-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Conditionally remove /usr/lib/perl5 (closes: #467648)
Files: 
 b550696483ac73ff63eb5ae909b748f9 680 devel optional deps_0.13-1.1.dsc
 6305d6568e4979a9174d9ba0d0f3932d 3442 devel optional deps_0.13-1.1.diff.gz
 6f59581d40be2b21dfba5b3928212163 19292 devel optional libdeps-perl_0.13-1.1_all.deb
 edacc5ab59485dbcd2c9726548a1fe12 3930 devel optional libdeps-renderer-dot-perl_0.13-1.1_all.deb
 71eef961be1aeb75cc4cae1c7e01fc6a 3128 devel optional libdeps-renderer-tulip-perl_0.13-1.1_all.deb
 cf0047b4d5199f6c483c992d4682aab4 6212 devel optional deps-tools-cli_0.13-1.1_all.deb
 880aec695ad5bc0db907e3ff543e7504 2206 devel optional graph-includes_0.13-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH92MMSYIMHOpZA44RAku0AJ9//VKQ4Y5/QD/4fCNZNRusvPJXlQCfVvxw
46jIdd9l1r/lD/Iu6dcm9ig=
=0F8w
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:43:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:27:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.